Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Interface IWidgetTokenKeeper

All Known Implementing Classes:
  ContentAssistant, InformationPresenter

public interface IWidgetTokenKeeper

A widget token keeper may require a widget token from an `IWidgetTokenOwner` and release the token to the owner after usage. A widget token owner may request the token from the token keeper. The keeper may deny the return of the token.

The widget token owner and keeper interplay is utilized by a text viewer in order to manage the appearance and disappearance of addition, on-top popup windows such as text hovers, content assist, etc. In order to provide backward compatibility for clients of `IWidgetTokeKeeper`, extension interfaces are used as a means of evolution. The following extension interfaces exist:

- `IWidgetTokenKeeperExtension` since version 3.0 introducing priorities when requesting a widget token and thus replacing the unprioritized scheme. It also allows a client to force a widget token keeper to accept focus.

Since:
  2.0
See Also:
  `IWidgetTokenKeeperExtension`

Method Summary
`boolean` | `requestWidgetToken(IWidgetTokenOwner owner)` The given widget token owner requests the widget token from this token keeper.

Method Detail

### requestWidgetToken

    public boolean requestWidgetToken(IWidgetTokenOwner owner)

  The given widget token owner requests the widget token from this token keeper. Returns `true` if the token is released by this token keeper. Note, the keeper must not call `releaseWidgetToken(IWidgetTokenKeeper)` explicitly.

  Replaced by `IWidgetTokenKeeperExtension.requestWidgetToken(IWidgetTokenOwner, int)`.

  Parameters:
    `owner` - the token owner
  Returns:
    `true` if token has been released `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.